package net.sadaji.detectsensor;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.widget.TextView;

import java.util.List;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        TextView tv = findViewById(R.id.tvSensor);
        SensorManager manager = (SensorManager) getSystemService(Context.SENSOR_SERVICE);
        List list = manager.getSensorList(Sensor.TYPE_ALL);
        String str;
        Sensor sn;
        int size = list.size();
        tv.setText("Sensor size = " +  size + "\n");;
        for(int i = 0; i < size; i++){
            sn  = (Sensor)list.get(i);
            int type = sn.getType();
            str = String.format("%2d ", i + 1) + String.format("%2x ", type) + " " + sn.getName();
            tv.append(str + "\n");
        }
    }
}